## golly 2.2

=== debian/changelog ===
golly (2.2-1) unstable; urgency=low

  * New upstream release (Closes: #605935).  Thanks to Benjamin Mako Hill.
    64-bit python binding fixed in upstream (Closes: #495941).
    Thanks to Paul Metcalfe.
    Installation has been improved in upstream (Closes: #588116, #598815).
    Thanks to Stefan Gursky and Mathijs Romans.
    Patches for bgolly, makefile-gtk (for perl), wxfile.cpp, wxgolly.cpp
    and wxUSE_HOTKEY things are not needed any more, thus removed.
  * debian/control (Build-Depends): Add autotools-dev and quilt.  Replace
    libstdc++6-4.3-dev to libstdc++6-4.4-dev (Closes: #594282).
    Thanks to Matthias Klose.
  * debian/rules: Now use dh.
  * debian/source/format: Now use 3.0 (quilt) format.
  * debian/golly.manpages: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 14 Feb 2011 17:45:27 +0900

golly (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #495072).
  * debian/control: Added Build-Conflicts (Closes: #508947).
  * debian/rules: Remove dh_desktop which is deprecated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 03 Feb 2010 15:51:42 +0900

golly (1.4-1) unstable; urgency=low

  * Fixed user preference file directory and clipfile directory, by using
  Newer wxwidget 2.8 (Closes: #488188).  Thanks to Jakob Lell for the bug
  report.
  * Revert changes of wxfile.cpp and wxprefs.cpp for wxwidget 2.6.
  * New upstream release (Changes of hlifealgo.cpp and qlifealgo.cpp
  are now in upstream).
  * platform.h: Added #include <limits.h>.
  * debian/control (Standards-Version): Conform to 3.8.0 (was: 3.7.3).
  (Build-Depends): Use libwxgtk2.8-dev (was: libwxgtk2.6-dev).
  Use libstdc++6-4.3-dev (was: libstdc++6-4.2-dev).

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 07 Jul 2008 15:28:52 +0900

golly (1.3-5) unstable; urgency=low

  * bgolly.cpp, bigint.cpp, liferules.cpp: Added #include for GCC 4.3.
    Thanks to Lucas Nussbaum (Closes: #474803).

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 08 Apr 2008 10:27:02 +0900

golly (1.3-4) unstable; urgency=low

  * debian/watch: Fix URL by Davide Cavalca (Closes: #472176).
  * debian/golly.desktop, debian/rules, debian/dirs: Desktop menu support
    contributed by Davide Cavalca (Closes: #472136).
  * makefile-gtk: Perl version free patch by Davide Cavalca
    applied. (Closes: #470393).  Thanks to Niko Tyni for the report.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 28 Mar 2008 11:36:24 +0900

golly (1.3-3) unstable; urgency=low

  * hlifealgo.cpp, qlifealgo.cpp: Patch for 64-bit architectures by Davide
    Cavalca applied. (Closes: #470160).

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 10 Mar 2008 11:56:52 +0900

golly (1.3-2) unstable; urgency=low

  * debian/control (Build-Depends): Added zlib1g-dev and libstdc++6-4.2-dev.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 25 Feb 2008 23:09:36 +0900

golly (1.3-1) unstable; urgency=low

  * Initial release (Closes: #452026).

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 31 Jan 2008 16:03:17 +0900
