=== debian/control ===
Source: golly
Section: games
Priority: optional
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Conflicts: libwxgtk2.6-dev
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, quilt (>= 0.46-7~), libwxgtk2.8-dev, python, python-dev, perl, libperl-dev, libstdc++6-4.4-dev, zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://golly.sourceforge.net/

Package: golly
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Game of Life simulator using hashlife algorithm
 Golly simulates Conway's Game of Life with an arbitrarily large grid
 of cells.  It can optionally use a hashlife algorithm, which allows
 it to rapidly compute generations for huge patterns, and to compute
 many generations into the future at a time.
 .
 Golly provides a graphical interface for viewing and editing cellular
 automata.  It supports copy and paste, zoom, auto-fit, multiple
 layers, and viewing different areas of a pattern simultaneously in
 different areas of a window.
 .
 Golly can load patterns from RLE, Life 1.05/1.06, dblife, and
 macrocell file formats; it can also interpret images as Life
 patterns.  Golly provides integrated help, including a copy of the
 Life Lexicon.
 .
 Golly also supports other rules for 2D cellular automata with an
 8-cell neighborhood, and supports 1D cellular automata.
