## golly 2.3

=== debian/changelog ===
golly (2.3-1) unstable; urgency=low

  * New upstream release.
  * Fixed FTBFS (Closes: #652180).
  * debian/control (Build-Depends): Add python-support.
  (Standards-Version): conforms to 3.9.2.
  (Build-Depends): Updated to libstdc++6-4.6-dev (was 4.4).

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 22 Dec 2011 15:55:35 +0900
