## golly 2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project( golly )
 
-set( APP_VERSION 2.3 )
+set( APP_VERSION 2.4 )
 
 if(APPLE OR WIN32)
    # app names are usually capitalized on Mac OS X and Windows
@@ -87,12 +87,26 @@
 # pass extra settings to the compiler
 add_definitions(-DZLIB -DVERSION=${APP_VERSION})
 if(APPLE)
-   # support Mac OS 10.5 or later
-   add_definitions(-mmacosx-version-min=10.5)
+   # support Mac OS 10.6 or later
+   add_definitions(-mmacosx-version-min=10.6)
 endif()
 if(APPLE OR UNIX)
    # use same settings as in makefiles
    add_definitions(-D_LARGE_FILES -O5)
+endif()
+# workaround for wx2.9.3 wxAssert link errors, see http://trac.wxwidgets.org/ticket/12626
+SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DwxDEBUG_LEVEL=0")
+# avoid security warnings
+if(MSVC)
+  add_definitions(/D_CRT_SECURE_NO_WARNINGS /D_CRT_NONSTDC_NO_WARNINGS)
+endif()
+
+# set this to true if using Visual Leak Detector to find memory leaks
+set(USING_VISUAL_LEAK_DETECTOR FALSE)
+if(USING_VISUAL_LEAK_DETECTOR)
+  set(VLD_INCLUDE_DIR "C:\Program Files\Visual Leak Detector\include")
+  set(VLD_LIBRARIES "C:\Program Files\Visual Leak Detector\lib\Win32\vld.lib")
+  add_definitions(/DUSING_VISUAL_LEAK_DETECTOR)
 endif()
 
 # put the executables in the src folder
@@ -155,3 +169,10 @@
 if(MSVC_IDE)
    set_target_properties( ${APP_NAME} bgolly RuleTableToTree PROPERTIES PREFIX "../" )
 endif()
+
+if(USING_VISUAL_LEAK_DETECTOR)
+   include_directories( ${VLD_INCLUDE_DIR} )
+   target_link_libraries( ${APP_NAME} ${VLD_LIBRARIES} )
+   target_link_libraries( bgolly ${VLD_LIBRARIES} )
+   target_link_libraries( RuleTableToTree ${VLD_LIBRARIES} )
+endif()
