=== debian/changelog ===
golly (2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: Upgrade to 9.
  * debian/control (Depends): Add ${python:Depends}.
    (Build-Depents): Require debhelper >= 9.
  * debian/rules (DH_OPTIONS): Add.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 24 Nov 2012 12:27:17 +0900
