=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
 Build-Conflicts: libwxgtk2.6-dev
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, quilt (>= 0.46-7~), libwxgtk2.8-dev, python, python-dev, perl, libperl-dev, libstdc++6-4.6-dev, zlib1g-dev, python-support (>= 0.90)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), autotools-dev, quilt (>= 0.46-7~), libwxgtk2.8-dev, python, python-dev, perl, libperl-dev, libstdc++6-4.6-dev, zlib1g-dev, python-support (>= 0.90)
+Standards-Version: 3.9.3
 Homepage: http://golly.sourceforge.net/
 
 Package: golly
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Description: Game of Life simulator using hashlife algorithm
  Golly simulates Conway's Game of Life with an arbitrarily large grid
  of cells.  It can optionally use a hashlife algorithm, which allows
