=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 PERL_SHLIB=$(shell ls -l /usr/lib/libperl.so | sed 's/^.* -> \(.*\)$$/\1/')
+export DH_OPTIONS
 
 %:
 	dh $@ --with quilt
