=== debian/changelog ===
golly (2.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control (Build-Depends): libwxgtk2.8-dev -> libwxgtk3.0-dev.

 -- Olly Betts <olly@survex.com>  Fri, 15 Nov 2013 15:34:28 +0000

golly (2.5-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Add --with python2.
  * debian/control (Build-Depends): Require libstdc++6-4.7-dev.
  (Standards-Version): conforms to 3.9.4.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 02 Jul 2013 06:46:02 +0000
