=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
 Build-Conflicts: libwxgtk2.6-dev
-Build-Depends: debhelper (>= 9), autotools-dev, quilt (>= 0.46-7~), libwxgtk2.8-dev, python, python-dev, perl, libperl-dev, libstdc++6-4.6-dev, zlib1g-dev, python-support (>= 0.90)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), autotools-dev, quilt (>= 0.46-7~), libwxgtk3.0-dev, python, python-dev, perl, libperl-dev, libstdc++6-4.7-dev, zlib1g-dev, python-support (>= 0.90)
+Standards-Version: 3.9.4
 Homepage: http://golly.sourceforge.net/
 
 Package: golly
