=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PERL_SHLIB=$(shell ls -l /usr/lib/libperl.so | sed 's/^.* -> \(.*\)$$/\1/')
export DH_OPTIONS

%:
	dh $@ --with quilt,python2 --builddirectory=build \
	      --sourcedirectory=gui-wx/configure

override_dh_auto_configure:
	dh_auto_configure -O--builddirectory=build \
	   -O--sourcedirectory=gui-wx/configure -- \
	   --with-perl-shlib=$(PERL_SHLIB)

override_dh_auto_install:
	dh_auto_install -O--builddirectory=build \
	   -O--sourcedirectory=gui-wx/configure
        # we have license information in /usr/share/doc/golly/copyright already
        # rm -f $(CURDIR)/debian/golly/usr/share/doc/golly/License.html
        # golly should be in /usr/games, we should have icon and menu
	mkdir -p $(CURDIR)/debian/golly/usr/games \
	         $(CURDIR)/debian/golly/usr/share/pixmaps \
		 $(CURDIR)/debian/golly/usr/share/applications
	mv $(CURDIR)/debian/golly/usr/bin/golly $(CURDIR)/debian/golly/usr/games/golly
	install -m 444 gui-wx/icons/appicon.xpm  $(CURDIR)/debian/golly/usr/share/pixmaps/golly.xpm
	install -m 444 debian/golly.desktop $(CURDIR)/debian/golly/usr/share/applications
        # Fix installation
	chmod +x $(CURDIR)/debian/golly/usr/share/golly/Help/Lexicon/modify.pl
