=== debian/watch ===
version=3
http://sf.net/golly/golly-(.*)-src\.tar\.gz
