## golly 2.6

=== gui-wx/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project( golly )
 
-set( APP_VERSION 2.5 )
+set( APP_VERSION 2.6 )
 
 if(APPLE OR WIN32)
    # app names are usually capitalized on Mac OS X and Windows
