=== debian/changelog ===
golly (2.6-2) unstable; urgency=low

  * debian/rules (PERL_SHLIB): Add TRIPLET for libperl.so.  Patch from
    Niko Tyni.  Also, Thanks to Lucas Nussbaum.  (Closes: #759891).

  * debian/control (Build-Depends): Remove python-support.  Add dh-python.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sun, 31 Aug 2014 18:40:47 +0000

golly (2.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): conforms to 3.9.5.
    (Build-Depends): Remove libstdc++6-4.7-dev (Closes: 748001).
  * Incorporate NMU by Olly Betts (Closes: 729677).

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 27 May 2014 12:18:32 +0000
