## golly 2.7

=== gui-wx/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project( golly )
 
-set( APP_VERSION 2.6 )
+set( APP_VERSION 2.7 )
 
 if(APPLE OR WIN32)
    # app names are usually capitalized on Mac OS X and Windows
@@ -185,3 +185,9 @@
    target_link_libraries( ${APP_NAME} ${VLD_LIBRARIES} )
    target_link_libraries( bgolly ${VLD_LIBRARIES} )
 endif()
+
+# ensure we link the C runtime statically (N.B. still appears as /MD in the CMake gui but ignore this)
+# see: http://www.cmake.org/Wiki/CMake_FAQ#Dynamic_Replace
+foreach( var CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO )
+  string( REGEX REPLACE "/MD" "/MT" ${var} "${${var}}" )
+endforeach()
