=== debian/changelog ===
golly (2.7-1) unstable; urgency=low

  * New upstream.
  * debian/control (Standards-Version): conforms to 3.9.6.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 19 Dec 2015 07:42:40 +0000
