=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
 Build-Conflicts: libwxgtk2.6-dev
 Build-Depends: debhelper (>= 9), autotools-dev, quilt (>= 0.46-7~), libwxgtk3.0-dev, python, python-dev, perl, libperl-dev, zlib1g-dev, dh-python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://golly.sourceforge.net/
 
 Package: golly
