=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-PERL_SHLIB=$(shell ls -l /usr/lib/libperl.so | sed 's/^.* -> \(.*\)$$/\1/')
+TRIPLET=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+PERL_SHLIB=$(shell ls -l /usr/lib/$(TRIPLET)/libperl.so | sed 's/^.* -> \(.*\)$$/\1/')
 export DH_OPTIONS
 
 %:
