=== debian/changelog ===
golly (2.8-1) unstable; urgency=medium

  * New upstream.  Thanks to Dr. Tobias Quathamer.
  * debian/control (Standards-Version): conforms to 3.9.8.
  (Build-Depends): Modify to python2.7 and python2.7-dev.
  Add dh-lua.  Remove quilt.
  * debian/rules: Don't put --with quilt for dh any more.  Add lua.
  * debian/compat: Bump to 10.
  * debian/patches/0001-Build-Add-libs.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 25 Nov 2016 08:34:53 +0900
