=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
 Build-Conflicts: libwxgtk2.6-dev
-Build-Depends: debhelper (>= 9), autotools-dev, quilt (>= 0.46-7~), libwxgtk3.0-dev, python, python-dev, perl, libperl-dev, zlib1g-dev, dh-python
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), libwxgtk3.0-dev, python-dev, python2.7, python2.7-dev, perl, libperl-dev, zlib1g-dev, dh-python, dh-lua
+Standards-Version: 3.9.8
 Homepage: http://golly.sourceforge.net/
 
 Package: golly
